Bug 791191 - Static linking against mingw32-dlfcn seems broken
Summary: Static linking against mingw32-dlfcn seems broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw32-dlfcn
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-16 12:46 UTC by salsaman
Modified: 2012-03-06 19:42 UTC (History)
5 users (show)

Fixed In Version: mingw32-dlfcn-0-0.10.r11.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-28 10:58:12 UTC
Type: ---


Attachments (Terms of Use)

Description salsaman 2012-02-16 12:46:12 UTC
Description of problem:
Static linking against mingw32-dlfcn returns the following error:

/usr/i686-pc-mingw32/sys-root/mingw/lib/libdl.a: could not read symbols: Archive has no index; run ranlib to add one

Version-Release number of selected component (if applicable):


mingw32-dlfcn-static-0-0.8.r11.fc15

How reproducible:

Always

Steps to Reproduce:

Commandline to follow in next comment.

Comment 1 salsaman 2012-02-16 12:47:20 UTC
Commandline is:

/bin/sh ../libtool --tag=CC   --mode=link i686-pc-mingw32-gcc -Wstrict-aliasing=0    -I/usr/i686-pc-mingw32/sys-root/mingw/include/liboil-0.3   -DENABLE_OIL=1     -DENABLE_OSC=1 -DIS_MINGW=1  -I/usr/i686-pc-mingw32/sys-root/mingw/include/libpng14   -DUSE_LIBPNG=1    -DENABLE_GIW=1    -DLIVES_LIBDIR=\""/usr/lib"\" -DHAVE_GTK_NICE_VERSION=1 -DHAVE_GTK_VERSION216=1  -g -O2 -Wall -static -Wl,-static -Wl,-luuid -L/usr/i686-pc-mingw32/sys-root/mingw/lib -lgtk-win32-2.0 -lgdk-win32-2.0 -limm32 -lshell32 -lole32 -latk-1.0 -lpangocairo-1.0 -lgio-2.0 -lgdk_pixbuf-2.0 -lpangowin32-1.0 -lgdi32 -lpango-1.0 -lm -lcairo -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lglib-2.0 -lintl   -lpthread  -shared   -o lives-exe.exe widget-helper.o main.o support.o effects.o plugins.o effects-weed.o effects-data.o framedraw.o interface.o paramspecial.o paramwindow.o rfx-builder.o  preferences.o rte_window.o gui.o htmsocket.o merge.o dialogs.o saveplay.o audio.o events.o resample.o osc.o omc-learn.o callbacks.o colourspace.o keyboard.o utils.o multitrack.o stream.o cvirtual.o startup.o pangotext.o     giwknob.o giwvslider.o giwled.o -L../libOSC/ -lOSC -L../libOSC/client/ -lOSC_client -lm     -L/usr/i686-pc-mingw32/sys-root/mingw/lib -lpng14     /home/gabriel/lives/libweed/libweed_slice.la /home/gabriel/lives/libweed/libweed-utils.la -lm   -ldl 
libtool: link: i686-pc-mingw32-gcc -Wstrict-aliasing=0 -I/usr/i686-pc-mingw32/sys-root/mingw/include/liboil-0.3 -DENABLE_OIL=1 -DENABLE_OSC=1 -DIS_MINGW=1 -I/usr/i686-pc-mingw32/sys-root/mingw/include/libpng14 -DUSE_LIBPNG=1 -DENABLE_GIW=1 -DLIVES_LIBDIR=\"/usr/lib\" -DHAVE_GTK_NICE_VERSION=1 -DHAVE_GTK_VERSION216=1 -g -O2 -Wall -Wl,-static -Wl,-luuid -o lives-exe.exe widget-helper.o main.o support.o effects.o plugins.o effects-weed.o effects-data.o framedraw.o interface.o paramspecial.o paramwindow.o rfx-builder.o preferences.o rte_window.o gui.o htmsocket.o merge.o dialogs.o saveplay.o audio.o events.o resample.o osc.o omc-learn.o callbacks.o colourspace.o keyboard.o utils.o multitrack.o stream.o cvirtual.o startup.o pangotext.o giwknob.o giwvslider.o giwled.o  -L/usr/i686-pc-mingw32/sys-root/mingw/lib /usr/i686-pc-mingw32/sys-root/mingw/lib/libgtk-win32-2.0.dll.a -lcomdlg32 -lwinspool -lcomctl32 /usr/i686-pc-mingw32/sys-root/mingw/lib/libgdk-win32-2.0.dll.a -limm32 -lshell32 /usr/i686-pc-mingw32/sys-root/mingw/lib/libatk-1.0.dll.a /usr/i686-pc-mingw32/sys-root/mingw/lib/libpangocairo-1.0.dll.a /usr/i686-pc-mingw32/sys-root/mingw/lib/libgdk_pixbuf-2.0.dll.a /usr/i686-pc-mingw32/sys-root/mingw/lib/libgio-2.0.dll.a -lshlwapi -ldnsapi /usr/i686-pc-mingw32/sys-root/mingw/lib/libpangowin32-1.0.dll.a /usr/i686-pc-mingw32/sys-root/mingw/lib/libpango-1.0.dll.a /usr/i686-pc-mingw32/sys-root/mingw/lib/libcairo.dll.a /usr/i686-pc-mingw32/sys-root/mingw/lib/libpixman-1.dll.a -lgdi32 -lmsimg32 /usr/i686-pc-mingw32/sys-root/mingw/lib/libgobject-2.0.dll.a /usr/i686-pc-mingw32/sys-root/mingw/lib/libffi.dll.a /usr/i686-pc-mingw32/sys-root/mingw/lib/libgmodule-2.0.dll.a /usr/i686-pc-mingw32/sys-root/mingw/lib/libgthread-2.0.dll.a -lpthread -L../libOSC/ /home/gabriel/lives/libOSC/.libs/libOSC.a -L../libOSC/client/ /home/gabriel/lives/libOSC/client/.libs/libOSC_client.a /usr/i686-pc-mingw32/sys-root/mingw/lib/libpng14.dll.a /usr/i686-pc-mingw32/sys-root/mingw/lib/libz.dll.a /home/gabriel/lives/libweed/.libs/libweed_slice.a /usr/i686-pc-mingw32/sys-root/mingw/lib/libglib-2.0.dll.a -lws2_32 -lole32 /usr/i686-pc-mingw32/sys-root/mingw/lib/libintl.dll.a -liconv /home/gabriel/lives/libweed/.libs/libweed-utils.a -ldl -L/usr/i686-pc-mingw32/sys-root/mingw/lib -L/usr/i686-pc-mingw32/sys-root/mingw/lib

Comment 2 Fedora Update System 2012-02-16 16:10:09 UTC
mingw32-dlfcn-0-0.10.r11.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mingw32-dlfcn-0-0.10.r11.fc15

Comment 3 Fedora Update System 2012-02-16 16:11:00 UTC
mingw32-dlfcn-0-0.10.r11.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mingw32-dlfcn-0-0.10.r11.fc16

Comment 4 Fedora Update System 2012-02-16 16:11:38 UTC
mingw32-dlfcn-0-0.10.r11.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw32-dlfcn-0-0.10.r11.fc17

Comment 5 Fedora Update System 2012-02-16 19:25:58 UTC
Package mingw32-dlfcn-0-0.10.r11.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw32-dlfcn-0-0.10.r11.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1815/mingw32-dlfcn-0-0.10.r11.fc17
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-02-28 10:58:12 UTC
mingw32-dlfcn-0-0.10.r11.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-03-06 19:24:43 UTC
mingw32-dlfcn-0-0.10.r11.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-03-06 19:42:39 UTC
mingw32-dlfcn-0-0.10.r11.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.